/* Keras Market Direction Data Generator

Click 'Train' on the Zorro GUI to export data to csv

*/

var range(int n)
{
	return (HH(n) - LL(n))/priceClose(0);
}

function run()
{
	set(RULES|PLOTNOW);
	StartDate = 20100101;
	EndDate = 20171201;
	BarPeriod = 60;
	LookBack = 500;
	PlotWidth = 900;
	
	Spread = Commission = Slippage = RollLong = RollShort = 0;
	
	vars Close = series(priceClose());
	vars High = series(priceHigh());
	vars Low = series(priceLow());
	
	// signals
	int scalePeriod = LookBack;
	var min_of_day = 2*((var)tod()/2300) - 1; //scales min of day to [-1, 1] (for hourly data)
	var close_change = scale(ROCP(Close, 1), scalePeriod)/100; 
	var high_change = scale(ROCP(High, 1), scalePeriod)/100;
	var low_change = scale(ROCP(Low, 1), scalePeriod)/100;
	var high_to_close = scale(High[0] - Close[0], scalePeriod)/100;
	var close_to_low = scale(Close[0] - Low[0], scalePeriod)/100;
	var range = scale(range(1), scalePeriod)/100;
	
	LifeTime = 1;
	if(adviseLong(SIGNALS, 0, 
		min_of_day,
		close_change, 
		high_change, 
		low_change, 
		high_to_close, 
		close_to_low, 
		range) > 0.5) { 
			
			enterLong();
		}
}